package com.sixin.module_p.ui.gnc.fubang.add

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.sixin.module_p.R
import com.sixin.module_p.base.BasePdaActivity
import com.sixin.module_p.databinding.ActivityPdaFuBangAddBinding

class PdaGncFuBangAddActivity :
    BasePdaActivity<ActivityPdaFuBangAddBinding, PdaGncFuBangAddViewModel>() {

    override fun layoutId(): Int {
        return R.layout.activity_pda_fu_bang_add
    }

    override fun viewModelClass(): Class<PdaGncFuBangAddViewModel> {
        return PdaGncFuBangAddViewModel::class.java
    }

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("国内出港开始复磅")
        viewModel.initOnCreated(requireActivity(),intent)
        binding.viewModel = viewModel
    }

    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, PdaGncFuBangAddActivity::class.java)
            context.startActivity(starter)
        }
    }
}